{%extends "index.html" %}  

{% block head %}
{{ super() }}

{%endblock%}

{%block content%}   
	
<table>
  <tr class="row">
    <td class="col-lg-6" height="100">
        <div class="card-body">
          <h3 id="activeCountry" class="w3-display-topleft w3-text-black w3-container" style="padding:24px 48px; position: absolute; height: 50px;">
             <div class="edit_hover_class">{{activeItem[1].name}}</div>
          </h3>
        </div>
    </td>
  </tr>

  <tr class="row">
    <td class="col-lg-6" height="500" rowspan="2">
      <div class="card o-hidden h-100">
        <div class="card-body">
          <div class="mr-5">
            <h5>Cities <a type="button" class="icon-btn" data-toggle="modal" data-target="#addCityModal">
              <img style="width: 17px; padding-bottom: 9px;" src='/static/icons/plus.png'/></a></h5>
              <div class="modal fade" id="addCityModal" role="dialog" style="margin-top: 100px">
                {% include "addCityModal.html" %}  
              </div>
          </div>
          <ul class="list-group list-group-flush" id="exampleAccordion">
            {% for country in countries %}
             {% if country.name == activeItem[1].name %}
              {% for city in country.countryCities %}
              <li>  
               <a type="button" class="list-group-item w3-bar-item w3-button" style="text-align: left; color: #5477ab;"  href="{{ url_for('city', activeCountry=country.name, activeCityId=city.id) }}">{{city.name}}</a>
              </li>
              {% endfor %}
            {%endif%}
          {% endfor %}
         </ul>
          </div>
        </div>
    </td>  

    <td class="col-lg-6" height="250">
      <table>
        <tr class="row" id="food">
          <div class="card o-hidden h-100">
            <div class="card-body scroll-box">      
              <div class="mr-5">
                <h5>Food <a type="button" class="icon-btn" data-toggle="modal" data-target="#foodModal">
                  <img style="width: 17px; padding-bottom: 9px;" src='/static/icons/plus.png'/></a></h5>
                  <div class="modal fade" id="foodModal" role="dialog" style="margin-top: 100px">
                    {% include "addFoodModal.html" %}  
                  </div>
              </div>
              <ul class="list-group list-group-flush"  id="foodAccordion">
                {% for food in foodObjList %}
                {% set previous = loop.previtem %} 
                  <li> 
                  {% if 'unknown' in food.address %} {# Don't show dropdown chevron if the foods doesn't have an address #}
                    <a type="button" id="editFoodBtn" class="list-group-item w3-bar-item w3-button" style="text-align: left" href="{{ url_for('getFood', selectedFood=food.id) }}" >
                      {{food.name}} 
                    </a> 
                  {% else %}
                    {% if previous == Undefined or previous.name != food.name %}
                    <i onclick="toggleAddress(this)" class="fa fa-chevron-right nav-link nav-link-collapse collapsed icon-btn" style="float:left;" data-toggle="collapse" href="#{{food.name}}" data-parent="#foodAccordion"></i>
                      <a type="button" id="editFoodBtn" class="list-group-item w3-bar-item w3-disabled:hover" style="display:inline-block;text-align: left">
                        {{food.name}} 
                      </a>
                      <ul class="sidenav-second-level collapse" id="{{food.name}}" >
                        <li> {# Dropdown to display addresses #}
                          <a class="list-group-item w3-bar-item w3-button addressRow" href="{{ url_for('getFood', selectedFood=food.id) }}">{{food.address}}</a>
                        </li> 
                      </ul>
                      {% else%}
                      <ul class="sidenav-second-level collapse" id="{{previous.name}}" >
                        <li> {# Dropdown to display addresses #}
                          <a class="list-group-item w3-bar-item w3-button addressRow" href="{{ url_for('getFood', selectedFood=food.id) }}">{{food.address}}</a>
                        </li> 
                      </ul>
                    {% endif %}
                  {% endif %}
                  </li>
                {% endfor %}
              </ul>
            </div>
          </div>
        </tr>

        <tr class="row" id="attraction">
          <div class="card o-hidden h-100">
            <div class="card-body"> 
              <div class="mr-5">
                <h5>Attraction <a type="button" class="icon-btn" data-toggle="modal" data-target="#attractionModal">
                  <img style="width: 17px; padding-bottom: 9px;" src='/static/icons/plus.png'/></a></h5>
                  <div class="modal fade" id="attractionModal" role="dialog" style="margin-top: 100px">
                    {% include "addAttractionModal.html" %}  
                  </div>
                </div>
                <ul class="list-group list-group-flush scroll-box" style="float:left;" id="attrAccordion">
                  {% for attraction in attrList %}
                    <li>  
                      <a class="list-group-item w3-bar-item w3-button" href="{{ url_for('getAttrData', selectedAttr=attraction.id) }}">{{attraction.name}}</a>
                    </li>
                  {% endfor %}
                </ul>
            </div>
          </div>
        </tr>
        
      </table>
    </td>
</tr>
</table>

<div class="delete">
  <a type="button" class="icon-btn" data-toggle="modal" data-target="#deleteConfirmModal">
    <img style="width: 25px;" src='/static/icons/trash.png'/></a>
    <div class="modal fade" id="deleteConfirmModal" role="dialog" style="margin-top: 100px">
      {% include "deleteConfirmModal.html" %}  
    </div>
</div>

<script>
function toggleAddress(x) {
  x.classList.toggle("fa-chevron-down");
}
</script>
{%endblock%}